   #include"reg51.h"
 #define uint unsigned int
 sbit led1=P1^0;
 delay()
 {	 uint i,j;
  	for(i=1000;i>0;i--)
          for(j=110;j>0;j--);
 }
 main()
 {
    
      led1=0;
       delay();
      led1=1;
	 	delay();		
 }